KDirNotify Class Referenceabstract

`#include <kdirnotify.h>`

Inherits DCOPObject.

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An abstract class that receives notifications of added and removed files in any directory, local or remote.

The information comes from the konqueror/kdesktop instance where the operation was done, and can interest KDirListers, bookmark handlers, etc.

Definition at line 32 of file kdirnotify.h.

## Member Function Documentation

void KDirNotify::FileRenamed | ( | const KURL & | src,
|  | const KURL & | dst
| ) |  |

virtual

Notify that a file has been renamed.

Note: this is ASYNC so that it can be used with a broadcast

Parameters

  src | a list containing original names of the renamed files
  dst | a list of original names of the renamed files

Definition at line 34 of file kdirnotify.cpp.

virtual ASYNC KDirNotify::FilesAdded | ( | const KURL & | directory | ) |

pure virtual

Notify that files have been added in `directory` Note: this is ASYNC so that it can be used with a broadcast.

Parameters

  directory | the directory that contains the new files

virtual ASYNC KDirNotify::FilesChanged | ( | const KURL::List & | fileList | ) |

pure virtual

Notify that files have been changed.

At the moment, this is only used for new icon, but it could be used for size etc. as well. Note: this is ASYNC so that it can be used with a broadcast.

Parameters

  fileList | the list of changed files

virtual ASYNC KDirNotify::FilesRemoved | ( | const KURL::List & | fileList | ) |

pure virtual

Notify that files have been deleted.

Note: this is ASYNC so that it can be used with a broadcast

Parameters

  fileList | the files that have been deleted

The documentation for this class was generated from the following files:

- kdirnotify.h
- kdirnotify.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys